/* ----- VARIABLES ----- */

:root {
    /* https://lospec.com/palette-list/paper-pixels */
    --color-bg: #fef1cc;
    --color-fg: #5d543e;
    --color-menu-bg: #eca970;
    --color-menu-fg: #ffffff;
}

@media all and (min-width: 1100px) {
    :root {
        /* Horizontal layout */
        --menu-width: 400px;
        --content-width: 700px;
        --content-height: 100%;
        --content-overflow: scroll;
    }
}

@media not all and (min-width: 1100px) {
    :root {
        /* Vertical layout */
        --menu-width: 100%;
        --content-width: 100%;
        --content-height: auto;
        --content-overflow: visible;
    }
}

:root {
    --horiz-width: var(--menu-width) + var(--content-width);
}

@font-face {
    font-family: "FjallaOne";
    src: url("/css/fonts/FjallaOne-Regular.ttf");
}

/* ----- RESET ----- */

a {
    color: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    padding: 0;
    margin: 0;
}

html {
    width: 100%;
    height: 100%;
}

body {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
}

#menu,
#menu *,
#content,
#content * {
    box-sizing: border-box;
}


/* ----- LAYOUT ----- */

body {
    color: var(--color-fg);
    background-color: var(--color-bg);
    display: flex;
    align-items: stretch;
    font-family: sans-serif;
    line-height: 1.5;
    flex-wrap: wrap;
}

#menu {
    color: var(--color-menu-fg);
    background-color: var(--color-menu-bg);
    width: var(--menu-width);
    flex-grow: 1;
    padding: 2rem;
}

header h2 {
    font-family: "FjallaOne", sans-serif;
    font-size: 4rem;
    text-align: center;
    filter: drop-shadow(2px 2px 8px #0006);
    display: flex;
    align-items: center;
    justify-content: center;
}

header h2 img {
    height: 1em;
    image-rendering: pixelated;
    margin-right: 1rem;
}

header h2 a {
    text-decoration: none;
}

header ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-evenly;
}

nav {
    margin-top: 2rem;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.nav-h1 {
    font-family: "FjallaOne", sans-serif;
    font-size: 1.3rem;
    text-wrap: wrap;
}

.nav-h2 {
    font-size: 1.1rem;
    text-wrap: wrap;
    padding-left: 1rem;
}

.nav-h3 {
    text-wrap: wrap;
    padding-left: 2rem;
}

#content {
    flex-grow: 10000;
    min-width: 0;
    overflow-y: var(--content-overflow);
    height: var(--content-height);
}

#content main {
    width: var(--content-width);
    padding: 1rem 1rem;
}

#content h1,
#content h2,
#content h3 {
    font-family: "FjallaOne";
    padding-top: 1rem;
}

#content img {
    width: 100%;
}

#content pre {
    min-width: 100%;
    border-color: #a05e5e;
    border-width: 2px 2px 2px 1rem;
    border-style: solid;
    background-color: #fff;
    padding: 4px;
    overflow-x: scroll;
}

/* ----- GENERAL STYLE ----- */
a:hover {
    text-decoration: none;
    text-shadow: 0px 0px 1px;
}